Index: /branches/feature-module-update/data/class/SC_MobileEmoji.php
===================================================================
--- /branches/feature-module-update/data/class/SC_MobileEmoji.php	(revision 16329)
+++ /branches/feature-module-update/data/class/SC_MobileEmoji.php	(revision 16582)
@@ -1,3 +1,25 @@
 <?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
 /**
  * 表示できない絵文字を置き換える文字列 (Shift JIS)
@@ -10,35 +32,35 @@
  */
 class SC_MobileEmoji {
-	/**
-	 * 絵文字タグを各キャリア用の文字コードに変換する
-	 * output buffering 用コールバック関数
-	 *
-	 * @param string 入力
-	 * @return string 出力
-	 */
-	function handler($buffer) {
-		$replace_callback = create_function('$matches', 'return SC_MobileEmoji::indexToCode($matches[1]);');
-		return preg_replace_callback('/\[emoji:(e?\d+)\]/', $replace_callback, $buffer);
-	}
+    /**
+     * 絵文字タグを各キャリア用の文字コードに変換する
+     * output buffering 用コールバック関数
+     *
+     * @param string 入力
+     * @return string 出力
+     */
+    function handler($buffer) {
+        $replace_callback = create_function('$matches', 'return SC_MobileEmoji::indexToCode($matches[1]);');
+        return preg_replace_callback('/\[emoji:(e?\d+)\]/', $replace_callback, $buffer);
+    }
 
-	/**
-	 * 絵文字番号を絵文字を表す Shift JIS の文字列に変換する。
-	 *
-	 * @param string $index 絵文字番号
-	 * @return string 絵文字を表す Shift JIS の文字列を返す。
-	 */
-	function indexToCode($index) {
-		$carrier = SC_MobileUserAgent::getCarrier();
-		if ($carrier === false) {
-			return MOBILE_EMOJI_SUBSTITUTE;
-		}
+    /**
+     * 絵文字番号を絵文字を表す Shift JIS の文字列に変換する。
+     *
+     * @param string $index 絵文字番号
+     * @return string 絵文字を表す Shift JIS の文字列を返す。
+     */
+    function indexToCode($index) {
+        $carrier = SC_MobileUserAgent::getCarrier();
+        if ($carrier === false) {
+            return MOBILE_EMOJI_SUBSTITUTE;
+        }
 
-		static $arrMap;
-		if (!isset($arrMap)) {
-			$arrMap = @include_once(dirname(__FILE__) . "/../include/mobile_emoji_map_$carrier.inc");
-		}
+        static $arrMap;
+        if (!isset($arrMap)) {
+            $arrMap = @include_once(dirname(__FILE__) . "/../include/mobile_emoji_map_$carrier.inc");
+        }
 
-		return isset($arrMap[$index]) ? $arrMap[$index] : MOBILE_EMOJI_SUBSTITUTE;
-	}
+        return isset($arrMap[$index]) ? $arrMap[$index] : MOBILE_EMOJI_SUBSTITUTE;
+    }
 }
 ?>
Index: /branches/feature-module-update/data/class/SC_CustomerList.php
===================================================================
--- /branches/feature-module-update/data/class/SC_CustomerList.php	(revision 16309)
+++ /branches/feature-module-update/data/class/SC_CustomerList.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/SC_Customer.php
===================================================================
--- /branches/feature-module-update/data/class/SC_Customer.php	(revision 16527)
+++ /branches/feature-module-update/data/class/SC_Customer.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/util/SC_Utils.php
===================================================================
--- /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 16534)
+++ /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/util/GC_Utils.php
===================================================================
--- /branches/feature-module-update/data/class/util/GC_Utils.php	(revision 15532)
+++ /branches/feature-module-update/data/class/util/GC_Utils.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/SC_DbConn.php
===================================================================
--- /branches/feature-module-update/data/class/SC_DbConn.php	(revision 16546)
+++ /branches/feature-module-update/data/class/SC_DbConn.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/SC_SiteSession.php
===================================================================
--- /branches/feature-module-update/data/class/SC_SiteSession.php	(revision 15608)
+++ /branches/feature-module-update/data/class/SC_SiteSession.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/SC_MobileKaraMail.php
===================================================================
--- /branches/feature-module-update/data/class/SC_MobileKaraMail.php	(revision 16329)
+++ /branches/feature-module-update/data/class/SC_MobileKaraMail.php	(revision 16582)
@@ -1,9 +1,24 @@
 <?php
-/**
- * 
+/*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
- * 
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *
  * 空メール受け付けアドレスのコマンド名とトークンの間の区切り文字
  */
@@ -14,142 +29,142 @@
  */
 class SC_MobileKaraMail {
-	/**
-	 * 環境変数から MTA を判別し、対応する SC_MobileKaraMail またはそのサブクラス
-	 * のインスタンスを作成する。
-	 *
-	 * @return object SC_MobileKaraMail またはそのサブクラスのインスタンスを返す。
-	 */
-	function &factory() {
-		if (isset($_ENV['EXTENSION'])) {
-			$objInstance = new SC_MobileKaraMail_Postfix;
-		} elseif (isset($_ENV['DEFAULT'])) {
-			$objInstance = new SC_MobileKaraMail_Qmail;
-		} else {
-			$objInstance = new SC_MobileKaraMail;
-		}
-
-		return $objInstance;
-	}
-
-	/**
-	 * 標準入力からメールを読み込み、必要な情報を取得する。
-	 *
-	 * @return void
-	 */
-	function parse() {
-		if (@$this->parsed) {
-			return;
-		}
-
-		require_once DATA_PATH . '/module/Mail/mimeDecode.php';
-
-		$fp = fopen('php://stdin', 'r');
-
-		// From 行を解析する。
-		$from_line = rtrim(fgets($fp));
-		if (preg_match('/^From\\s+"?([^\\s"@]+)"?@([^\\s@]+)/', $from_line, $matches)) {
-			$this->sender = $matches[1] . '@' . $matches[2];
-		} else {
-			trigger_error("Invalid from line: $from_line");
-			$this->sender = null;
-		}
-
-		// 残りのヘッダーを解析する。
-		$data = '';
-		while (!feof($fp)) {
-			$data .= fgets($fp);
-			if (rtrim($data, "\r\n") == '') {
-				break;
-			}
-		}
-		$structure = Mail_mimeDecode::decode(array('input' => $data));
-		$this->recipient = @$structure->headers['to'];
-
-		// 宛先アドレスから拡張部分を取得する。
-		$pos = strpos($this->recipient, MOBILE_KARA_MAIL_ADDRESS_DELIMITER);
-		if ($pos !== false) {
-			$extension_and_domain = substr($this->recipient, $pos + 1);
-			$pos = strpos($extension_and_domain, '@');
-			if ($pos !== false) {
-				$this->extension = substr($extension_and_domain, 0, $pos);
-			} else {
-				$this->extension = $extension_and_domain;
-			}
-		} else {
-			trigger_error("Invalid recipient: {$this->recipient}");
-			$this->extension = null;
-		}
-
-		$this->parsed = true;
-	}
-
-	/**
-	 * 配信が完了したことを示す終了ステータスでプログラムを終了する。
-	 *
-	 * @return void
-	 */
-	function success() {
-		exit(0);
-	}
-
-	/**
-	 * 一時的なエラーを示す終了ステータスでプログラムを終了する。
-	 *
-	 * @return void
-	 */
-	function temporaryFailure() {
-		exit(75);
-	}
-
-	/**
-	 * 送信者のメールアドレスを取得する。
-	 *
-	 * parse() 実行後に使用すること。
-	 *
-	 * @return string|false 送信者のメールアドレスを返す。取得できなかった場合は false を返す。
-	 */
-	function getSender() {
-		return isset($this->sender) ? $this->sender : false;
-	}
-
-	/**
-	 * 宛先のメールアドレスの拡張部分からコマンド名を取得する。
-	 *
-	 * parse() 実行後に使用すること。
-	 *
-	 * @return string|false コマンド名を返す。取得できなかった場合は false を返す。
-	 */
-	function getCommand() {
-		if (!isset($this->extension)) {
-			return false;
-		}
-
-		$pos = strpos($this->extension, MOBILE_KARA_MAIL_EXTENSION_DELIMITER);
-		if ($pos === false) {
-			return false;
-		}
-
-		return substr($this->extension, 0, $pos);
-	}
-
-	/**
-	 * 宛先のメールアドレスの拡張部分からトークンを取得する。
-	 *
-	 * parse() 実行後に使用すること。
-	 *
-	 * @return string|false トークンを返す。取得できなかった場合は false を返す。
-	 */
-	function getToken() {
-		if (!isset($this->extension)) {
-			return false;
-		}
-
-		$pos = strpos($this->extension, MOBILE_KARA_MAIL_EXTENSION_DELIMITER);
-		if ($pos === false) {
-			return false;
-		}
-
-		return substr($this->extension, $pos + 1);
-	}
+    /**
+     * 環境変数から MTA を判別し、対応する SC_MobileKaraMail またはそのサブクラス
+     * のインスタンスを作成する。
+     *
+     * @return object SC_MobileKaraMail またはそのサブクラスのインスタンスを返す。
+     */
+    function &factory() {
+        if (isset($_ENV['EXTENSION'])) {
+            $objInstance = new SC_MobileKaraMail_Postfix;
+        } elseif (isset($_ENV['DEFAULT'])) {
+            $objInstance = new SC_MobileKaraMail_Qmail;
+        } else {
+            $objInstance = new SC_MobileKaraMail;
+        }
+
+        return $objInstance;
+    }
+
+    /**
+     * 標準入力からメールを読み込み、必要な情報を取得する。
+     *
+     * @return void
+     */
+    function parse() {
+        if (@$this->parsed) {
+            return;
+        }
+
+        require_once DATA_PATH . '/module/Mail/mimeDecode.php';
+
+        $fp = fopen('php://stdin', 'r');
+
+        // From 行を解析する。
+        $from_line = rtrim(fgets($fp));
+        if (preg_match('/^From\\s+"?([^\\s"@]+)"?@([^\\s@]+)/', $from_line, $matches)) {
+            $this->sender = $matches[1] . '@' . $matches[2];
+        } else {
+            trigger_error("Invalid from line: $from_line");
+            $this->sender = null;
+        }
+
+        // 残りのヘッダーを解析する。
+        $data = '';
+        while (!feof($fp)) {
+            $data .= fgets($fp);
+            if (rtrim($data, "\r\n") == '') {
+                break;
+            }
+        }
+        $structure = Mail_mimeDecode::decode(array('input' => $data));
+        $this->recipient = @$structure->headers['to'];
+
+        // 宛先アドレスから拡張部分を取得する。
+        $pos = strpos($this->recipient, MOBILE_KARA_MAIL_ADDRESS_DELIMITER);
+        if ($pos !== false) {
+            $extension_and_domain = substr($this->recipient, $pos + 1);
+            $pos = strpos($extension_and_domain, '@');
+            if ($pos !== false) {
+                $this->extension = substr($extension_and_domain, 0, $pos);
+            } else {
+                $this->extension = $extension_and_domain;
+            }
+        } else {
+            trigger_error("Invalid recipient: {$this->recipient}");
+            $this->extension = null;
+        }
+
+        $this->parsed = true;
+    }
+
+    /**
+     * 配信が完了したことを示す終了ステータスでプログラムを終了する。
+     *
+     * @return void
+     */
+    function success() {
+        exit(0);
+    }
+
+    /**
+     * 一時的なエラーを示す終了ステータスでプログラムを終了する。
+     *
+     * @return void
+     */
+    function temporaryFailure() {
+        exit(75);
+    }
+
+    /**
+     * 送信者のメールアドレスを取得する。
+     *
+     * parse() 実行後に使用すること。
+     *
+     * @return string|false 送信者のメールアドレスを返す。取得できなかった場合は false を返す。
+     */
+    function getSender() {
+        return isset($this->sender) ? $this->sender : false;
+    }
+
+    /**
+     * 宛先のメールアドレスの拡張部分からコマンド名を取得する。
+     *
+     * parse() 実行後に使用すること。
+     *
+     * @return string|false コマンド名を返す。取得できなかった場合は false を返す。
+     */
+    function getCommand() {
+        if (!isset($this->extension)) {
+            return false;
+        }
+
+        $pos = strpos($this->extension, MOBILE_KARA_MAIL_EXTENSION_DELIMITER);
+        if ($pos === false) {
+            return false;
+        }
+
+        return substr($this->extension, 0, $pos);
+    }
+
+    /**
+     * 宛先のメールアドレスの拡張部分からトークンを取得する。
+     *
+     * parse() 実行後に使用すること。
+     *
+     * @return string|false トークンを返す。取得できなかった場合は false を返す。
+     */
+    function getToken() {
+        if (!isset($this->extension)) {
+            return false;
+        }
+
+        $pos = strpos($this->extension, MOBILE_KARA_MAIL_EXTENSION_DELIMITER);
+        if ($pos === false) {
+            return false;
+        }
+
+        return substr($this->extension, $pos + 1);
+    }
 }
 
@@ -158,18 +173,18 @@
  */
 class SC_MobileKaraMail_Postfix extends SC_MobileKaraMail {
-	/**
-	 * @see SC_MobileKaraMail::parse()
-	 */
-	function parse() {
-		if (@$this->parsed) {
-			return;
-		}
-
-		$this->sender = $_ENV['SENDER'];
-		$this->recipient = $_ENV['RECIPIENT'];
-		$this->extension = $_ENV['EXTENSION'];
-
-		$this->parsed = true;
-	}
+    /**
+     * @see SC_MobileKaraMail::parse()
+     */
+    function parse() {
+        if (@$this->parsed) {
+            return;
+        }
+
+        $this->sender = $_ENV['SENDER'];
+        $this->recipient = $_ENV['RECIPIENT'];
+        $this->extension = $_ENV['EXTENSION'];
+
+        $this->parsed = true;
+    }
 }
 
@@ -178,27 +193,27 @@
  */
 class SC_MobileKaraMail_Qmail extends SC_MobileKaraMail {
-	/**
-	 * @see SC_MobileKaraMail::parse()
-	 */
-	function parse() {
-		if (@$this->parsed) {
-			return;
-		}
-
-		$this->sender = $_ENV['SENDER'];
-		$this->recipient = $_ENV['RECIPIENT'];
-		$this->extension = $_ENV['DEFAULT'];
-
-		$this->parsed = true;
-	}
-
-	/**
-	 * 一時的なエラーを示す終了ステータスでプログラムを終了する。
-	 *
-	 * @return void
-	 */
-	function temporaryFailure() {
-		exit(111);
-	}
+    /**
+     * @see SC_MobileKaraMail::parse()
+     */
+    function parse() {
+        if (@$this->parsed) {
+            return;
+        }
+
+        $this->sender = $_ENV['SENDER'];
+        $this->recipient = $_ENV['RECIPIENT'];
+        $this->extension = $_ENV['DEFAULT'];
+
+        $this->parsed = true;
+    }
+
+    /**
+     * 一時的なエラーを示す終了ステータスでプログラムを終了する。
+     *
+     * @return void
+     */
+    function temporaryFailure() {
+        exit(111);
+    }
 }
 ?>
Index: /branches/feature-module-update/data/class/SC_Pdf.php
===================================================================
--- /branches/feature-module-update/data/class/SC_Pdf.php	(revision 15532)
+++ /branches/feature-module-update/data/class/SC_Pdf.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/SC_MobileImage.php
===================================================================
--- /branches/feature-module-update/data/class/SC_MobileImage.php	(revision 16329)
+++ /branches/feature-module-update/data/class/SC_MobileImage.php	(revision 16582)
@@ -1,10 +1,23 @@
 <?php
-/**
- * 
+/*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
- * 
  *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *
  * 端末の画面解像度にあわせて画像を変換する
@@ -18,67 +31,67 @@
  */
 class SC_MobileImage {
-	/**
-	 * 画像を端末の解像度に合わせて変換する
-	 * output buffering 用コールバック関数
-	 *
-	 * @param string 入力
-	 * @return string 出力
-	 */
-	function handler($buffer) {
+    /**
+     * 画像を端末の解像度に合わせて変換する
+     * output buffering 用コールバック関数
+     *
+     * @param string 入力
+     * @return string 出力
+     */
+    function handler($buffer) {
 
-		// 端末情報を取得する
-		$carrier = SC_MobileUserAgent::getCarrier();
-		$model   = SC_MobileUserAgent::getModel();
+        // 端末情報を取得する
+        $carrier = SC_MobileUserAgent::getCarrier();
+        $model   = SC_MobileUserAgent::getModel();
 
-		// 携帯電話の場合のみ処理を行う
-		if ($carrier !== FALSE) {
+        // 携帯電話の場合のみ処理を行う
+        if ($carrier !== FALSE) {
 
-			// HTML中のIMGタグを取得する
-			$pattern = '/<img\s+src=[\'"]([^>"]+)[\'"]\s*\/*>/i';
-			$result = preg_match_all($pattern, $buffer, $images);
+            // HTML中のIMGタグを取得する
+            $pattern = '/<img\s+src=[\'"]([^>"]+)[\'"]\s*\/*>/i';
+            $result = preg_match_all($pattern, $buffer, $images);
 
-			// 端末の情報を取得する
-			$fp = fopen(MOBILE_IMAGE_INC_PATH . "/mobile_image_map_$carrier.csv", "r");
-			while (($data = fgetcsv($fp, 1000, ",")) !== FALSE) {
-				if ($data[1] == $model || $data[1] == '*') {
-					$cacheSize     = $data[2];
-					$imageFileSize = $data[7];
-					$imageType     = $data[6];
-					$imageWidth    = $data[5];
-					break;
-				}
-			}
-			fclose($fp);
+            // 端末の情報を取得する
+            $fp = fopen(MOBILE_IMAGE_INC_PATH . "/mobile_image_map_$carrier.csv", "r");
+            while (($data = fgetcsv($fp, 1000, ",")) !== FALSE) {
+                if ($data[1] == $model || $data[1] == '*') {
+                    $cacheSize     = $data[2];
+                    $imageFileSize = $data[7];
+                    $imageType     = $data[6];
+                    $imageWidth    = $data[5];
+                    break;
+                }
+            }
+            fclose($fp);
 
-			// docomoとsoftbankの場合は画像ファイル一つに利用可能なサイズの上限を計算する
-			// auはHTMLのbyte数上限に画像ファイルサイズが含まれないのでimageFileSizeのまま。
-			if ($carrier == "docomo" or $carrier == "softbank") {
-				// 計算式：(利用端末で表示可能なcacheサイズ - HTMLのバイト数 - 変換後の画像名のバイト数(目安値) ) / HTML中の画像数
-				$temp_imagefilesize = ($cacheSize - strlen($buffer) - (140 * $result) ) / $result;
-				// 計算結果が端末の表示可能ファイルサイズ上限より小さい場合は計算結果の値を有効にする
-				if ($temp_imagefilesize < $imageFileSize) {
-					$imageFileSize = $temp_imagefilesize;
-				}
-			}
+            // docomoとsoftbankの場合は画像ファイル一つに利用可能なサイズの上限を計算する
+            // auはHTMLのbyte数上限に画像ファイルサイズが含まれないのでimageFileSizeのまま。
+            if ($carrier == "docomo" or $carrier == "softbank") {
+                // 計算式：(利用端末で表示可能なcacheサイズ - HTMLのバイト数 - 変換後の画像名のバイト数(目安値) ) / HTML中の画像数
+                $temp_imagefilesize = ($cacheSize - strlen($buffer) - (140 * $result) ) / $result;
+                // 計算結果が端末の表示可能ファイルサイズ上限より小さい場合は計算結果の値を有効にする
+                if ($temp_imagefilesize < $imageFileSize) {
+                    $imageFileSize = $temp_imagefilesize;
+                }
+            }
 
-			// 画像変換の情報をセットする
-			$imageConverter = New ImageConverter();
-			$imageConverter->setOutputDir(MOBILE_IMAGE_DIR);
-			$imageConverter->setImageType($imageType);
-			$imageConverter->setImageWidth($imageWidth);
-			$imageConverter->setFileSize($imageFileSize);
+            // 画像変換の情報をセットする
+            $imageConverter = New ImageConverter();
+            $imageConverter->setOutputDir(MOBILE_IMAGE_DIR);
+            $imageConverter->setImageType($imageType);
+            $imageConverter->setImageWidth($imageWidth);
+            $imageConverter->setFileSize($imageFileSize);
 
-			// HTML中のIMGタグを変換後のファイルパスに置換する
-			foreach ($images[1] as $key => $value) {
-				$converted = $imageConverter->execute(preg_replace('|^' . URL_DIR . '|', HTML_PATH, $value));
-				if (isset($converted['outputImageName'])) {
-					$buffer = str_replace($value, MOBILE_IMAGE_URL . '/' . $converted['outputImageName'], $buffer);
-				} else {
-					$buffer = str_replace($images[0][$key], '<!--No image-->', $buffer);
-				}
-			}
-		}
-		return $buffer;
-	}
+            // HTML中のIMGタグを変換後のファイルパスに置換する
+            foreach ($images[1] as $key => $value) {
+                $converted = $imageConverter->execute(preg_replace('|^' . URL_DIR . '|', HTML_PATH, $value));
+                if (isset($converted['outputImageName'])) {
+                    $buffer = str_replace($value, MOBILE_IMAGE_URL . '/' . $converted['outputImageName'], $buffer);
+                } else {
+                    $buffer = str_replace($images[0][$key], '<!--No image-->', $buffer);
+                }
+            }
+        }
+        return $buffer;
+    }
 }
 ?>
Index: /branches/feature-module-update/data/class/db/SC_DB_DBFactory.php
===================================================================
--- /branches/feature-module-update/data/class/db/SC_DB_DBFactory.php	(revision 16506)
+++ /branches/feature-module-update/data/class/db/SC_DB_DBFactory.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 16560)
+++ /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 15693)
+++ /branches/feature-module-update/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
Index: /branches/feature-module-update/data/class/db/SC_DB_MasterData.php
===================================================================
--- /branches/feature-module-update/data/class/db/SC_DB_MasterData.php	(revision 16282)
+++ /branches/feature-module-update/data/class/db/SC_DB_MasterData.php	(revision 16582)
@@ -1,7 +1,23 @@
 <?php
 /*
+ * This file is part of EC-CUBE
+ *
  * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
 
